<?php

namespace Signteer\Core\Criteria;

class SignupCriteria
{
    private array $id = [];
    private array $sheetId = [];
    private array $taskId = [];
    private array $volunteerId = [];

    public function whereId(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->id[] = [$compare, $v];

        return $ret;
    }

    public function getWhereId(): array
    {
        return $this->id;
    }

    public function whereSheetId(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->sheetId[] = [$compare, $v];

        return $ret;
    }

    public function getWhereSheetId(): array
    {
        return $this->sheetId;
    }

    public function whereTaskId(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->taskId[] = [$compare, $v];

        return $ret;
    }

    public function getWhereTaskId(): array
    {
        return $this->taskId;
    }

    public function whereVolunteerId(string $compare, $v): self
    {
        $ret = clone $this;
        $ret->volunteerId[] = [$compare, $v];

        return $ret;
    }

    public function getWhereVolunteerId(): array
    {
        return $this->volunteerId;
    }
}
